#ifndef __BROADCAST_MESSAGE_TYPES_H__
#define __BROADCAST_MESSAGE_TYPES_H__

namespace FactSet {
namespace Datafeed {

struct BroadcastMessageType {
    // Brackets will suppress doxygen undocumented warnings
    //! \{
    static const char QUOTE = 'Q';
    static const char TRADE = 'T';
    static const char CANCEL = 'X';
    static const char CORRECTION = 'R';
    static const char OTHER = 'O';
    static const char BOND_SESSION_CLOSED = 'E';
    static const char BOND_CLOSING_SPIN = 'I';
    static const char RESERVED = 'V';
    static const char DELETE = 'D';
    static const char ROLLOVER = 'L';
    static const char UPDATE = 'U';
    static const char SNAPSHOT = 'S';
    //! \}
};

}  // namespace Datafeed
}  // namespace FactSet
#endif
